GET /api/v3/agencies/constants/roles¶
Summary¶
GET /agencies/constants/roles
Description¶
Return a list of roles that are attached to users who have an agency.
Tags: agencies
Parameters¶
Header Parameters¶
| Name | Type | Required | Description | Example |
|---|---|---|---|---|
Authorization |
string |
✓ Yes | Bearer {AuthToken} |
|
Content-Type |
string |
✓ Yes | application/json |
|
Accept |
string |
✓ Yes | application/json |
|
AppIdV3 |
string |
✓ Yes | LCUID-LAP-********-****-****-****-************ |
Responses¶
Response: 200¶
Content Type: application/json¶
Schema¶
Type: object
Properties:
success(boolean)roles(object) Type:object
Properties:
-
agency_admin(object) Type:objectProperties:
title(string)description(string)can_invite(array)- Array items:
string can_remove_users(object) Type:object
Properties:
-
all_roles(boolean) -
auto_join_account_role(string)
-
account_manager(object) Type:objectProperties:
title(string)description(string)can_invite(array)- Array items:
string
-
account_exec(object) Type:objectProperties:
title(string)description(string)can_invite(array)- Array items:
string
-
agency_contact(object) Type:objectProperties:
title(string)description(string)
-
ad_approver(object) Type:objectProperties:
title(string)description(string)can_invite(array)- Array items:
string
-
billing_user(object) Type:objectProperties:
title(string)description(string)can_invite(array)- Array items:
string
-
traffic(object) Type:objectProperties:
title(string)description(string)can_invite(array)- Array items:
string
-
graphic_designer(object) Type:objectProperties:
title(string)description(string)can_invite(array)- Array items:
string
-
developer(object) Type:objectProperties:
title(string)description(string)can_invite(array)- Array items:
string
-
agency_bot(object) Type:objectProperties:
title(string)description(string)
Example Response¶
{
"success": true,
"roles": {
"agency_admin": {
"title": "Admin",
"description": "Administrator can edit all screens, users and settings",
"can_invite": [
"account_exec",
"agency_admin",
"ad_approver",
"billing_user"
],
"can_remove_users": {
"all_roles": true
},
"auto_join_account_role": "account_admin"
},
"account_manager": {
"title": "Lucit Account Manager",
"description": "The Lucit account manager for this operator or ad agency.",
"can_invite": [
"account_exec",
"agency_admin",
"account_manager",
"ad_approver",
"billing_user"
]
},
"account_exec": {
"title": "Account Exec",
"description": "An account exec that works for your organization. Can add accounts and manage them.",
"can_invite": [
"account_exec"
]
},
"agency_contact": {
"title": "Contact",
"description": "A contact record - Can't log in or do anything"
},
"ad_approver": {
"title": "Ad Approver",
"description": "A user that can do ad approvals and will get notifications about ad approvals",
"can_invite": [
"ad_approver"
]
},
"billing_user": {
"title": "Billing User",
"description": "This user's email address will get invoices for this company",
"can_invite": [
"billing_user"
]
},
"traffic": {
"title": "Traffic / Scheduler",
"description": "This person schedules and loads ads into the player / digital scheduler",
"can_invite": [
"traffic"
]
},
"graphic_designer": {
"title": "Graphic Designer / Art",
"description": "This person creates ads and artwork for advertisers",
"can_invite": [
"graphic_designer"
]
},
"developer": {
"title": "Developer / Programmer",
"description": "This person is a software developer who works with scripts, API's and programming code",
"can_invite": [
"developer"
]
},
"agency_bot": {
"title": "Bot",
"description": "An bot - Useful for programmatic integrations and player API's. Cannot log in"
}
}
}
Example Implementations¶
Bash (cURL)¶
curl --request GET \
--get "https://api.lucit.app/api/v3/agencies/constants/roles" \
--header "Authorization: Bearer {AuthToken}" \
--header "Content-Type: application/json" \
--header "Accept: application/json" \
--header "AppIdV3: LCUID-LAP-********-****-****-****-************"
JavaScript (Fetch API)¶
const url = new URL(
"https://api.lucit.app/api/v3/agencies/constants/roles"
);
const headers = {
"Authorization": "Bearer {AuthToken}",
"Content-Type": "application/json",
"Accept": "application/json",
"AppIdV3": "LCUID-LAP-********-****-****-****-************",
};
fetch(url, {
method: "GET",
headers,
}).then(response => response.json());
PHP (Guzzle)¶
$client = new \GuzzleHttp\Client();
$response = $client->get(
'https://api.lucit.app/api/v3/agencies/constants/roles',
[
'headers' => [
'Authorization' => 'Bearer {AuthToken}',
'Content-Type' => 'application/json',
'Accept' => 'application/json',
'AppIdV3' => 'LCUID-LAP-********-****-****-****-************',
],
]
);
$body = $response->getBody();
print_r(json_decode((string) $body));
Python (Requests)¶
import requests
import json
url = 'https://api.lucit.app/api/v3/agencies/constants/roles'
headers = {
'Authorization': 'Bearer {AuthToken}',
'Content-Type': 'application/json',
'Accept': 'application/json',
'AppIdV3': 'LCUID-LAP-********-****-****-****-************'
}
response = requests.request('GET', url, headers=headers)
response.json()
Example Responses¶
200 Response¶
{
"success": true,
"roles": {
"agency_admin": {
"title": "Admin",
"description": "Administrator can edit all screens, users and settings",
"can_invite": [
"account_exec",
"agency_admin",
"ad_approver",
"billing_user"
],
"can_remove_users": {
"all_roles": true
},
"auto_join_account_role": "account_admin"
},
"account_manager": {
"title": "Lucit Account Manager",
"description": "The Lucit account manager for this operator or ad agency.",
"can_invite": [
"account_exec",
"agency_admin",
"account_manager",
"ad_approver",
"billing_user"
]
},
"account_exec": {
"title": "Account Exec",
"description": "An account exec that works for your organization. Can add accounts and manage them.",
"can_invite": [
"account_exec"
]
},
"agency_contact": {
"title": "Contact",
"description": "A contact record - Can't log in or do anything"
},
"ad_approver": {
"title": "Ad Approver",
"description": "A user that can do ad approvals and will get notifications about ad approvals",
"can_invite": [
"ad_approver"
]
},
"billing_user": {
"title": "Billing User",
"description": "This user's email address will get invoices for this company",
"can_invite": [
"billing_user"
]
},
"traffic": {
"title": "Traffic / Scheduler",
"description": "This person schedules and loads ads into the player / digital scheduler",
"can_invite": [
"traffic"
]
},
"graphic_designer": {
"title": "Graphic Designer / Art",
"description": "This person creates ads and artwork for advertisers",
"can_invite": [
"graphic_designer"
]
},
"developer": {
"title": "Developer / Programmer",
"description": "This person is a software developer who works with scripts, API's and programming code",
"can_invite": [
"developer"
]
},
"agency_bot": {
"title": "Bot",
"description": "An bot - Useful for programmatic integrations and player API's. Cannot log in"
}
}
}